Skip to main content
DELETE
/
connectors
/
plugins
/
{type}
Uninstall a plugin
import requests

url = "https://{FUSION HOST}/api/connectors/plugins/{type}"

response = requests.delete(url)

print(response.text)
HttpResponse<String> response = Unirest.delete("https://{FUSION HOST}/api/connectors/plugins/{type}")
.asString();
const options = {method: 'DELETE'};

fetch('https://{FUSION HOST}/api/connectors/plugins/{type}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
require 'uri'
require 'net/http'

url = URI("https://{FUSION HOST}/api/connectors/plugins/{type}")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Delete.new(url)

response = http.request(request)
puts response.read_body
package main

import (
"fmt"
"net/http"
"io"
)

func main() {

url := "https://{FUSION HOST}/api/connectors/plugins/{type}"

req, _ := http.NewRequest("DELETE", url, nil)

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))

}
<?php

$curl = curl_init();

curl_setopt_array($curl, [
CURLOPT_URL => "https://{FUSION HOST}/api/connectors/plugins/{type}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
curl --request DELETE \
--url https://{FUSION HOST}/api/connectors/plugins/{type}
{
  "pluginId": "lucidworks.slack",
  "status": {
    "action": "UNINSTALL",
    "status": "SUCCESS",
    "message": "Plugin with pluginId 'lucidworks.slack' was uninstalled successfully."
  }
}

Path Parameters

type
string
required

The connector type.

Response

200 - application/json

OK

pluginId
string

The ID of the connector plugin.

Example:

"lucidworks.web-v2"

status
object

The action taken and its final status.